Subject: RE: [Sipping] Comments on lawrence-maxforward-problems

From: "Gordon Ledgard" <[email-masked]>
Date: Tue, 8 Nov 2005 09:20:30 -0500

Not if it's a single hop ping.  He said a single hop ping.

> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Monday, November 07, 2005 4:48 PM
> To: Gordon Ledgard
> Cc: Paul Kyzivat; Cullen Jennings; Alan Hawrylyshen; sipping; Scott
> Lawrence
> Subject: Re: [Sipping] Comments on lawrence-maxforward-problems
> 
> It doesnt help with this issue. A new SIP request with a method PING
> would be treated the same by existing proxies as any other new method.
> Thus, like any new method, it could loop and you'd need to have it
> rejected if Max-Forwards hits zero. In this case, you'd want the
> response to include the proposed body.
> 
> -Jonathan R.
> 
> Gordon Ledgard wrote:
> 
> >
> > Maybe we should consider an explicit PING then, if so many find it
> > useful.
> >
> > Regards,
> > Gordon Legard
> >
> >
> >
> > Jonathan wrote:
> >
> >
> >>I also like the suggestion for inclusion of the request message in
the
> >>body of the response for diagnostic purposes. One thing though -
lots
> >
> > of
> >
> >>folks use a SIP request with Max-Forwards of 0 as a single-hop ping
to
> >>detect whether the downstream element is alive. Its really a waste
to
> >>always include the request body in the response for these, as its
not
> >>needed - this is truly a forced attempt at an error response.
> >>
> >
> >
> 
> --
> Jonathan D. Rosenberg, Ph.D.                   600 Lanidex Plaza
> Director, Service Provider VoIP Architecture   Parsippany, NJ
07054-2711
> Cisco Systems
> [email-masked]                              FAX:   (973) 952-5050
> http://www.jdrosen.net                         PHONE: (973) 952-5000
> http://www.cisco.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP